### Method

# Shell Screenshot screenshot_area

#### Declaration [src]

    void
    shell_screenshot_screenshot_area (
      ShellScreenshot* screenshot,
      int x,
      int y,
      int width,
      int height,
      GOutputStream* stream,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Takes a screenshot of the passed in area and saves it in `stream` as png image.

This method completes asynchronously. Use `shell_screenshot_screenshot_area_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`x`

  Type: `int`

  The X coordinate of the area.

`y`

  Type: `int`

  The Y coordinate of the area.

`width`

  Type: `int`

  The width of the area.

`height`

  Type: `int`

  The height of the area.

`stream`

  Type: `GOutputStream`

  The stream for the screenshot.

  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Function to call returning success or failure of the async grabbing.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.